/*
This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or distribute this software, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

In jurisdictions that recognize copyright laws, the author or authors of this software dedicate any and all copyright interest in the software to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org/>
*/

void setupConfigWeb() {
  if(runConfServer) {
    conf_server.onNotFound([]() {
      Serial.println("[HTTP] [Config]      404: Not Found");
      conf_server.send(404, "text/html", "<html><head><title>Not Found</title></head><body><h1>Not Found</h1><p>This resource does not exist on this server.</p></body></html>");
    });    

    Serial.println("[HTTP] [Config]      Starting config server (http) on port " + String(webport_config));
    conf_server.begin();
    Serial.println("[HTTP] [Config]      Started Config server");
  }
}

void setupApiWeb() {
  api_server.onNotFound([]() {
      Serial.println("[HTTP] [API]         404: Not Found");
      api_server.send(404, "text/html", "<html><head><title>Not Found</title></head><body><h1>Not Found</h1><p>This resource does not exist on this server.</p></body></html>");
  });

  Serial.println("[HTTP] [API]         Starting API server (http) on port " + String(webport_api));
  api_server.begin();
  Serial.println("[HTTP] [API]         Started config server");
}

void loopServer() {
  api_server.handleClient();
  if(runConfServer) conf_server.handleClient();
}